import SwiftUI

let storage = PersistentStorage()

private let scanner = BluetoothScanner()

private let transfer = TransferHandler()

@main
struct TempTrackApp: App {
    
    var body: some Scene {
        WindowGroup {
            ContentView(scanner: scanner)
                .environmentObject(storage)
                .environmentObject(transfer)
        }
    }
}
